/*******************************************************************

Copyright (c) 2004 Open Mobile Alliance, Ltd.  All Rights Reserved.

This software is made available under the usage and distribution terms 
covered by the Common Public License 1.0 and by using this software you
are bound by the terms and conditions of the same.

EXCEPT AS EXPRESSLY SET FORTH IN THE COMMON PUBLIC LICENSE,
THIS PROGRAM IS PROVIDED ON AN "AS IS" BASIS, 
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
EITHER EXPRESS OR IMPLIED INCLUDING, WITHOUT LIMITATION, 
ANY WARRANTIES OR CONDITIONS OF TITLE, NON-INFRINGEMENT, 
MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
   
Each recipient is solely responsible for determining the 
appropriateness of using and distributing this program and assumes 
all risks associated with its exercise of rights under the Common 
Public License, including but not limited to the risks and 
costs of program errors, compliance with applicable laws, 
damage to or loss of data, programs or equipment, and 
unavailability or interruption of operations.

********************************************************************/
// SCTS3DevManDlg.h : header file
//

#if !defined(AFX_SCTS3DEVMANDLG_H__79752833_6817_42CD_AE68_4AD9C3108377__INCLUDED_)
#define AFX_SCTS3DEVMANDLG_H__79752833_6817_42CD_AE68_4AD9C3108377__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CSCTS3DevManDlg dialog
#include "LeftPane.h"
#include "RightPane.h"
#include "SessionPane.h"
#include "CredCalc.h"
#include "Guide.h"

#define WM_ADDSESSION		WM_USER+1000
#define WM_SESSIONCOMPLETE	WM_USER+1001
#define WM_ADDCLIENTDEV		WM_USER+1002
#define WM_ADDSERVERDEV		WM_USER+1003
#define	WM_TESTCOMPLETE		WM_USER+1004
#define WM_REMCLIENTDEV		WM_USER+1005
#define WM_REMSERVERDEV		WM_USER+1006
#define WM_DISPLAYUIA		WM_USER+1007
#define WM_DESTROYUIA		WM_USER+1008

class CSCTS3DevManDlg : public CDialog
{
// Construction
public:
	CSCTS3DevManDlg(CWnd* pParent = NULL);	// standard constructor

	CLeftPane *currentLeftPane;
	CRightPane *currentRightPane;
	CDialog *currentRightChildPane;
//	CGuide *activeGuide;
//	CDialog *credCalc;
	bool deleteChild;

	int navigatorWidth;
	int toolbarHeight;
	RECT minSize;
	RECT lastSize;

	LRESULT SessionComplete(WPARAM wParam,LPARAM lParam);
	LRESULT AddSession(WPARAM wParam,LPARAM lParam);
	LRESULT AddClientDevice(WPARAM wParam,LPARAM lParam);
	LRESULT AddServerDevice(WPARAM wParam,LPARAM lParam);
	LRESULT RemoveClientDevice(WPARAM wParam,LPARAM lParam);
	LRESULT RemoveServerDevice(WPARAM wParam,LPARAM lParam);
	LRESULT DisplayUIA(WPARAM wParam,LPARAM lParam);
	LRESULT DestroyUIA(WPARAM wParam,LPARAM lParam);
	CCredCalc *credCalc;
	CGuide *activeGuide;

// Dialog Data
	//{{AFX_DATA(CSCTS3DevManDlg)
	enum { IDD = IDD_SCTS3DEVMAN_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSCTS3DevManDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSCTS3DevManDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnSettingsServers();
	afx_msg void OnSettingsLogspath();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnSizing(UINT fwSide, LPRECT pRect);
	afx_msg void OnDevadd();
	afx_msg void OnDevdel();
	afx_msg void OnHelpAboutscts();
	afx_msg void OnHelpReportingabug();
	afx_msg void OnToolsCredentialcalculator();
	afx_msg void OnToolsWbxmlxmlconverter();
	afx_msg void OnSettingsUseobexirclient();
	afx_msg void OnSettingsUseobextcpclient();
	afx_msg void OnConfigurationClearsessions();
	afx_msg void OnConfigurationRemoveall();
	afx_msg void OnConfigurationSave();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SCTS3DEVMANDLG_H__79752833_6817_42CD_AE68_4AD9C3108377__INCLUDED_)
